using UnityEngine;

namespace AsteroidGame.Entities.Structures.Scripts
{
    public class StructureBase : MonoBehaviour
    {
        [Header("StructureInformation")] 
        [SerializeField] protected string name;
        [SerializeField] protected int health;

        [Header("BuildParameters")] 
        [SerializeField] protected int cost;
        [SerializeField] protected float buildTimer;

        #region Publics

        public string Name { get; set; }
        public int Cost { get; set; }

        #endregion
    }
}